import 'package:json_annotation/json_annotation.dart';

part 'marking_text_question_job_params.g.dart';

@JsonSerializable()
class MarkingTextQuestionJobParams extends Object {
  @JsonKey(name: 'taskSubjectiveDetailId')
  int taskSubjectiveDetailId;

  @JsonKey(name: 'score')
  double score;

  @JsonKey(name: 'commentImageUrl', includeIfNull: true)
  String? commentImageUrl;

  MarkingTextQuestionJobParams({this.commentImageUrl, required this.taskSubjectiveDetailId, required this.score});

  factory MarkingTextQuestionJobParams.fromJson(Map<String, dynamic> srcJson) =>
      _$MarkingTextQuestionJobParamsFromJson(srcJson);

  Map<String, dynamic> toJson() => _$MarkingTextQuestionJobParamsToJson(this);
}
